---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cookquick-web
  labels:
    app: cookquick
    tiers: frontend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cookquick
      tiers: frontend
  template:
    metadata:
      labels:
        app: cookquick
        tiers: frontend
    spec:
      containers:
      - name: cookquick-web
        image: sylvanld/cookquick-web:latest
        command: ["nginx"]
        args: ["-g", "daemon off;"]
        ports:
          - name: http
            containerPort: 80
